runtime error

Space not ready. Reason: Completed, exitCode: 0, message: None

Container logs:

mkdir: created directory 'build'
mkdir: created directory 'build/obj'
mkdir: created directory 'build/obj/csrc/'
[dep] csrc/pyinterface.cpp ...
[dep] csrc/nnf.cpp ...
[dep] csrc/masked_image.cpp ...
[dep] csrc/inpaint.cpp ...
[CC] csrc/inpaint.cpp ...
[CC] csrc/masked_image.cpp ...
[CC] csrc/nnf.cpp ...
[CC] csrc/pyinterface.cpp ...
[link] libpatchmatch.so ...
/home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub/repository.py:725: FutureWarning: Creating a repository through 'clone_from' is deprecated and will be removed in v0.12. Please create the repository first using `create_repo(..., exists_ok=True)`.
  warnings.warn(
╭───────────────────── Traceback (most recent call last) ──────────────────────╮
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_errors.py:239 in hf_raise_for_status                                 │
│                                                                              │
│   236 │   </Tip>                                                             │
│   237 │   """                                                                │
│   238 │   try:                                                               │
│ ❱ 239 │   │   response.raise_for_status()                                    │
│   240 │   except HTTPError as e:                                             │
│   241 │   │   error_code = response.headers.get("X-Error-Code")              │
│   242                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/requests/models │
│ .py:1021 in raise_for_status                                                 │
│                                                                              │
│   1018 │   │   │   )                                                         │
│   1019 │   │                                                                 │
│   1020 │   │   if http_error_msg:                                            │
│ ❱ 1021 │   │   │   raise HTTPError(http_error_msg, response=self)            │
│   1022 │                                                                     │
│   1023 │   def close(self):                                                  │
│   1024 │   │   """Releases the connection back to the pool. Once this method │
╰──────────────────────────────────────────────────────────────────────────────╯
HTTPError: 401 Client Error: Unauthorized for url: 
https://huggingface.co/api/datasets/huggingface-projects/sd-multiplayer-data

The above exception was the direct cause of the following exception:

╭───────────────────── Traceback (most recent call last) ──────────────────────╮
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /repository.py:717 in clone_from                                             │
│                                                                              │
│    714 │   │   │                                                             │
│    715 │   │   │   # To be removed: check if repo exists. If not, create it  │
│    716 │   │   │   try:                                                      │
│ ❱  717 │   │   │   │   HfApi().repo_info(f"{repo_id}", repo_type=self._repo_ │
│    718 │   │   │   except RepositoryNotFoundError:                           │
│    719 │   │   │   │   if self._repo_type == "space":                        │
│    720 │   │   │   │   │   raise ValueError(                                 │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /hf_api.py:1425 in repo_info                                                 │
│                                                                              │
│   1422 │   │   │   method = self.space_info  # type: ignore                  │
│   1423 │   │   else:                                                         │
│   1424 │   │   │   raise ValueError("Unsupported repo type.")                │
│ ❱ 1425 │   │   return method(                                                │
│   1426 │   │   │   repo_id,                                                  │
│   1427 │   │   │   revision=revision,                                        │
│   1428 │   │   │   token=token,                                              │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /hf_api.py:1299 in dataset_info                                              │
│                                                                              │
│   1296 │   │   │   params["blobs"] = True                                    │
│   1297 │   │                                                                 │
│   1298 │   │   r = requests.get(path, headers=headers, timeout=timeout, para │
│ ❱ 1299 │   │   hf_raise_for_status(r)                                        │
│   1300 │   │   d = r.json()                                                  │
│   1301 │   │   return DatasetInfo(**d)                                       │
│   1302                                                                       │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_errors.py:268 in hf_raise_for_status                                 │
│                                                                              │
│   265 │   │   │   │   " `repo_type`."                                        │
│   266 │   │   │   │   + "\nIf the repo is private, make sure you are authent │
│   267 │   │   │   )                                                          │
│ ❱ 268 │   │   │   raise RepositoryNotFoundError(message, response) from e    │
│   269 │   │                                                                  │
│   270 │   │   elif response.status_code == 400:                              │
│   271 │   │   │   message = (                                                │
╰──────────────────────────────────────────────────────────────────────────────╯
RepositoryNotFoundError: 401 Client Error. (Request ID: jRk_nwgw-YbAFwABHPRtt)

Repository Not Found for url: 
https://huggingface.co/api/datasets/huggingface-projects/sd-multiplayer-data.
Please make sure you specified the correct `repo_id` and `repo_type`.
If the repo is private, make sure you are authenticated.

During handling of the above exception, another exception occurred:

╭───────────────────── Traceback (most recent call last) ──────────────────────╮
│ /home/user/app/stablediffusion-infinity/app.py:50 in <module>                │
│                                                                              │
│    47                                                                        │
│    48 app = FastAPI()                                                        │
│    49                                                                        │
│ ❱  50 repo = Repository(                                                     │
│    51 │   local_dir=S3_DATA_FOLDER,                                          │
│    52 │   repo_type="dataset",                                               │
│    53 │   clone_from="huggingface-projects/sd-multiplayer-data",             │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_deprecation.py:101 in inner_f                                        │
│                                                                              │
│    98 │   │   │   │   if custom_message is not None:                         │
│    99 │   │   │   │   │   message += "\n\n" + custom_message                 │
│   100 │   │   │   │   warnings.warn(message, FutureWarning)                  │
│ ❱ 101 │   │   │   return f(*args, **kwargs)                                  │
│   102 │   │                                                                  │
│   103 │   │   return inner_f                                                 │
│   104                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /repository.py:528 in __init__                                               │
│                                                                              │
│    525 │   │   │   self.huggingface_token = HfFolder.get_token()             │
│    526 │   │                                                                 │
│    527 │   │   if clone_from is not None:                                    │
│ ❱  528 │   │   │   self.clone_from(repo_url=clone_from)                      │
│    529 │   │   else:                                                         │
│    530 │   │   │   if is_git_repo(self.local_dir):                           │
│    531 │   │   │   │   logger.debug("[Repository] is a valid git repo")      │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /repository.py:731 in clone_from                                             │
│                                                                              │
│    728 │   │   │   │   │   │   " using `create_repo(..., exists_ok=True)`.", │
│    729 │   │   │   │   │   │   FutureWarning,                                │
│    730 │   │   │   │   │   )                                                 │
│ ❱  731 │   │   │   │   │   self.client.create_repo(                          │
│    732 │   │   │   │   │   │   repo_id=repo_id,                              │
│    733 │   │   │   │   │   │   token=token,                                  │
│    734 │   │   │   │   │   │   repo_type=self._repo_type,                    │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_deprecation.py:31 in inner_f                                         │
│                                                                              │
│    28 │   │   def inner_f(*args, **kwargs):                                  │
│    29 │   │   │   extra_args = len(args) - len(all_args)                     │
│    30 │   │   │   if extra_args <= 0:                                        │
│ ❱  31 │   │   │   │   return f(*args, **kwargs)                              │
│    32 │   │   │   # extra_args > 0                                           │
│    33 │   │   │   args_msg = [                                               │
│    34 │   │   │   │   f"{name}='{arg}'" if isinstance(arg, str) else f"{name │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /hf_api.py:1542 in create_repo                                               │
│                                                                              │
│   1539 │   │   │   # Testing purposes only.                                  │
│   1540 │   │   │   # See https://github.com/huggingface/huggingface_hub/pull │
│   1541 │   │   │   json["lfsmultipartthresh"] = self._lfsmultipartthresh  #  │
│ ❱ 1542 │   │   headers = self._build_hf_headers(token=token, is_write_action │
│   1543 │   │   r = requests.post(path, headers=headers, json=json)           │
│   1544 │   │                                                                 │
│   1545 │   │   try:                                                          │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /hf_api.py:3397 in _build_hf_headers                                         │
│                                                                              │
│   3394 │   │   """                                                           │
│   3395 │   │   if token is None:                                             │
│   3396 │   │   │   token = self.token                                        │
│ ❱ 3397 │   │   return build_hf_headers(                                      │
│   3398 │   │   │   token=token,                                              │
│   3399 │   │   │   is_write_action=is_write_action,                          │
│   3400 │   │   │   library_name=library_name,                                │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_validators.py:124 in _inner_fn                                       │
│                                                                              │
│   121 │   │   │   │   fn_name=fn.__name__, has_token=has_token, kwargs=kwarg │
│   122 │   │   │   )                                                          │
│   123 │   │                                                                  │
│ ❱ 124 │   │   return fn(*args, **kwargs)                                     │
│   125 │                                                                      │
│   126 │   return _inner_fn  # type: ignore                                   │
│   127                                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_headers.py:118 in build_hf_headers                                   │
│                                                                              │
│   115 │   """                                                                │
│   116 │   # Get auth token to send                                           │
│   117 │   token_to_send = get_token_to_send(token)                           │
│ ❱ 118 │   _validate_token_to_send(token_to_send, is_write_action=is_write_ac │
│   119 │                                                                      │
│   120 │   # Combine headers                                                  │
│   121 │   headers = {                                                        │
│                                                                              │
│ /home/user/.pyenv/versions/3.8.9/lib/python3.8/site-packages/huggingface_hub │
│ /utils/_headers.py:168 in _validate_token_to_send                            │
│                                                                              │
│   165 def _validate_token_to_send(token: Optional[str], is_write_action: boo │
│   166 │   if is_write_action:                                                │
│   167 │   │   if token is None:                                              │
│ ❱ 168 │   │   │   raise ValueError(                                          │
│   169 │   │   │   │   "Token is required (write-access action) but no token  │
│   170 │   │   │   │   " to provide a token or be logged in to Hugging Face w │
│   171 │   │   │   │   " `huggingface-cli login` or `huggingface_hub.login`.  │
╰──────────────────────────────────────────────────────────────────────────────╯
ValueError: Token is required (write-access action) but no token found. You need
to provide a token or be logged in to Hugging Face with `huggingface-cli login` 
or `huggingface_hub.login`. See https://huggingface.co/settings/tokens.